language: php

php:
- 5.3

env:
  matrix:
    - TEST_SUITE=UnitTests MYSQL_ADAPTER=PDO_MYSQL
    - TEST_SUITE=IntegrationTests MYSQL_ADAPTER=PDO_MYSQL

script: ./travis.sh

install:
  - TEST_PIWIK_VERSION=$(wget builds.piwik.org/LATEST -q -O -)
  - TEST_PIWIK_VERSION=`echo $TEST_PIWIK_VERSION | tr -d ' ' | tr -d '\n'`
  - mkdir ExamplePlugin
  - cp -R !(ExamplePlugin) ExamplePlugin
  - cp -R .git/ ExamplePlugin/
  - git clone https://github.com/piwik/piwik.git piwik
  - cd piwik
  - git checkout "$TEST_PIWIK_VERSION"
  - git submodule init
  - git submodule update || true
  - composer self-update
  - composer install
  - rm -rf plugins/ExamplePlugin
  - cd ../
  - mv ExamplePlugin piwik/plugins

before_script:
  - cd piwik
  - uname -a
  - date
  - mysql -e 'create database piwik_tests;'
  - ./tests/travis/prepare.sh
  - ./tests/travis/setup_webserver.sh
  - wget https://raw.github.com/piwik/piwik-tests-plugins/master/activateplugin.php
  - php activateplugin.php ExamplePlugin
  - cd tests/PHPUnit

after_script:
  - cat /var/log/nginx/error.log
